public class PointTester {
    public static void main(String[] args) {
        Point p1;
        p1 = new Point(1, 0);
        System.out.print("p1: ");
        System.out.println(p1);
        System.out.print("p1: ");
        System.out.println(p1.toStringPolar());
        System.out.println();
        p1 = new Point(1, 1);
        System.out.print("p1: ");
        System.out.println(p1);
        System.out.print("p1: ");
        System.out.println(p1.toStringPolar());
        System.out.println();
        p1 = new Point(0, 1);
        System.out.print("p1: ");
        System.out.println(p1);
        System.out.print("p1: ");
        System.out.println(p1.toStringPolar());
        System.out.println();
        p1 = new Point(-1, 1);
        System.out.print("p1: ");
        System.out.println(p1);
        System.out.print("p1: ");
        System.out.println(p1.toStringPolar());
        System.out.println();
        p1 = new Point(-1, 0);
        System.out.print("p1: ");
        System.out.println(p1);
        System.out.print("p1: ");
        System.out.println(p1.toStringPolar());
        System.out.println();
        p1 = new Point(-1, -1);
        System.out.print("p1: ");
        System.out.println(p1);
        System.out.print("p1: ");
        System.out.println(p1.toStringPolar());
        System.out.println();
        p1 = new Point(0, -1);
        System.out.print("p1: ");
        System.out.println(p1);
        System.out.print("p1: ");
        System.out.println(p1.toStringPolar());
        System.out.println();
        p1 = new Point(1, -1);
        System.out.print("p1: ");
        System.out.println(p1);
        System.out.print("p1: ");
        System.out.println(p1.toStringPolar());
        System.out.println();
    }
}
